commit 61dc491950863d0b441ddd3f9d609b83a01deaf7
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Sep 11 14:51:36 2020 +0100

    libstdc++: Fix build error in <bits/regex_error.h>
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/regex_error.h (__throw_regex_error): Fix
            parameter declaration and use reserved attribute names.
    
    (cherry picked from commit 29216f56d002982f10c33056f4b3d7f07e164122)

diff --git a/libstdc++-v3/include/bits/regex_error.h b/libstdc++-v3/include/bits/regex_error.h
index a5b553862ce..b40351a39cc 100644
--- a/libstdc++-v3/include/bits/regex_error.h
+++ b/libstdc++-v3/include/bits/regex_error.h
@@ -167,8 +167,9 @@ namespace regex_constants
   __throw_regex_error(regex_constants::error_type __ecode);
 
   inline void
-  __throw_regex_error(regex_constants::error_type __ecode __attribute__((unused)),
-		      const char* __what__attribute__((unused)))
+  __throw_regex_error(regex_constants::error_type __ecode
+			__attribute__((__unused__)),
+		      const char* __what __attribute__((__unused__)))
   { _GLIBCXX_THROW_OR_ABORT(regex_error(__ecode, __what)); }
 
 _GLIBCXX_END_NAMESPACE_VERSION

